kbuild: Print errors to stderr

... at least in the top-level Makefile and scripts/link-vmlinux.sh.
There are some more instances of the 'echo <error>; exit 1' pattern in
some arch Makefiles and kconfig.

Reported-by: Linus Torvalds <torvalds@linux-foundation.org>
Signed-off-by: Michal Marek <mmarek@suse.cz>
This commit is contained in:
Michal Marek 2012-07-07 23:04:40 +02:00
parent f8f5701bda
commit 5369f55021
2 changed files with 14 additions and 14 deletions

View File

@ -535,11 +535,11 @@ PHONY += include/config/auto.conf
include/config/auto.conf: include/config/auto.conf:
$(Q)test -e include/generated/autoconf.h -a -e $@ || ( \ $(Q)test -e include/generated/autoconf.h -a -e $@ || ( \
echo; \ echo >&2; \
echo " ERROR: Kernel configuration is invalid."; \ echo >&2 " ERROR: Kernel configuration is invalid."; \
echo " include/generated/autoconf.h or $@ are missing.";\ echo >&2 " include/generated/autoconf.h or $@ are missing.";\
echo " Run 'make oldconfig && make prepare' on kernel src to fix it."; \ echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo; \ echo >&2 ; \
/bin/false) /bin/false)
endif # KBUILD_EXTMOD endif # KBUILD_EXTMOD
@ -796,8 +796,8 @@ prepare3: include/config/kernel.release
ifneq ($(KBUILD_SRC),) ifneq ($(KBUILD_SRC),)
@$(kecho) ' Using $(srctree) as source for kernel' @$(kecho) ' Using $(srctree) as source for kernel'
$(Q)if [ -f $(srctree)/.config -o -d $(srctree)/include/config ]; then \ $(Q)if [ -f $(srctree)/.config -o -d $(srctree)/include/config ]; then \
echo " $(srctree) is not clean, please run 'make mrproper'"; \ echo >&2 " $(srctree) is not clean, please run 'make mrproper'"; \
echo " in the '$(srctree)' directory.";\ echo >&2 " in the '$(srctree)' directory.";\
/bin/false; \ /bin/false; \
fi; fi;
endif endif
@ -971,11 +971,11 @@ else # CONFIG_MODULES
# --------------------------------------------------------------------------- # ---------------------------------------------------------------------------
modules modules_install: FORCE modules modules_install: FORCE
@echo @echo >&2
@echo "The present kernel configuration has modules disabled." @echo >&2 "The present kernel configuration has modules disabled."
@echo "Type 'make config' and enable loadable module support." @echo >&2 "Type 'make config' and enable loadable module support."
@echo "Then build a kernel with module support enabled." @echo >&2 "Then build a kernel with module support enabled."
@echo @echo >&2
@exit 1 @exit 1
endif # CONFIG_MODULES endif # CONFIG_MODULES

View File

@ -210,8 +210,8 @@ if [ -n "${CONFIG_KALLSYMS}" ]; then
mksysmap ${kallsyms_vmlinux} .tmp_System.map mksysmap ${kallsyms_vmlinux} .tmp_System.map
if ! cmp -s System.map .tmp_System.map; then if ! cmp -s System.map .tmp_System.map; then
echo Inconsistent kallsyms data echo >&2 Inconsistent kallsyms data
echo echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround echo >&2 echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround
cleanup cleanup
exit 1 exit 1
fi fi